import { ClientTarget } from './target';
import type { TransformOptions } from '@lwc/compiler';
export type Module = any;
export interface HMR_Data_Fetch {
    type: 'fetch';
    data: {
        modulePath: string;
    };
}
export interface HMR_Data_Update {
    type: 'update';
    data: [{
        modulePath: string;
    }];
}
export interface HMR_Data_Module_Update {
    type: 'module-update';
    data: [{
        modulePath: string;
        src: string;
    }];
}
export interface HMR_Data_Module_Delete {
    type: 'module-delete';
    data: [{
        modulePath: string;
    }];
}
export interface HMR_Data_Init {
    type: 'init';
    data: {
        activePaths: HMR_Register[];
        url: string;
        target: ClientTarget;
    };
}
export interface HMR_Data_Error {
    type: 'error';
    data: {
        message: string;
    };
}
export interface HMR_Register {
    type: 'register';
    data: {
        modulePath: string;
        hash: string;
        compileOptions: TransformOptions;
    };
}
export type HMR_Data = HMR_Data_Fetch | HMR_Data_Update | HMR_Data_Module_Update | HMR_Data_Module_Delete | HMR_Data_Error | HMR_Data_Init | HMR_Register;
